# OR23 - Update carrier tracking information for a specific order

Description

If the carrier is not registered, the complete tracking url can be provided.


Call Frequency

Recommended usage: At each order tracking information update (as soon as the seller gets the tracking number from the carrier)
Maximum usage: At each order tracking information update (as soon as the seller gets the tracking number from the carrier)

Endpoint: PUT /api/orders/{order_id}/tracking

## Path parameters:

  - `order_id` (string, required)
    Order identifier

## Query parameters:

  - `shop_id` (integer)
    Use this parameter when your user has access to several shops. If not specified, the shop_id from your default shop will be used.

## Request fields (application/json):

  - `carrier_code` (string)
    The code of a carrier. This information is mandatory for a registered carrier.

  - `carrier_name` (string)
    The name of a carrier. This information is mandatory for an unregistered carrier.

  - `carrier_standard_code` (string)
    Carrier standard code

  - `carrier_url` (string)
    The tracking url of a carrier. This information is unused for registered carriers (because computed automatically). This information is optional for unregistered carriers.

  - `tracking_number` (string)
    The carrier tracking number. This information is mandatory for a registered carrier with a URL requiring a tracking number.


## Response 204 fields
